2009-03-23 10:28 AM - Giovanni Allegri

Status: Closed

Priority: Low

Assignee: Jurgen Fischer

Category: GRASS

Affected QGIS version: Regression?: No
Operating System: Windows Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 11642
Description

Whenever | try to use the ggis-grass plugin (osgeo4w stack) on Windows Vista, | receive a complete crash of QGis. It happens for
everything | try to do (load layers, create a locations, etc.), excpet selecting a location and vieweing the list of layers.

The gdb traceback is:

#0 0x774a7dff in ntdll!DbgUiConvertStateChangeStructure ()
from C:\\Windows\\system32\

tdil.dll

#3905 0x77511c93 in ntdll'RtlpNtMakeTemporaryKey ()
from C:\\Windows\\system32\

tdil.dll

#3906 0x774e2b26 in ntdll!RtITimeToTimeFields ()
from C:\\Windows\\system32\

tdil.dll

#3907 0x77512cf3 in ntdll!RtlpNtMakeTemporaryKey ()
from C:\\Windows\\system32\

tdll.dll

#3908 0x774dbfe8 in ntdll!RtITimeToTimeFields ()
from C:\\Windows\\system32\

tdll.dll

#3909 0x774c8652 in ntdll!RtlUnhandledExceptionFilter ()
from C:\\Windows\\system32\

tdil.dll

#3910 0x765ec56f in KERNEL32!HeapLock () from C:\\Windows\\system32\\kernel32.dll

#3911 0x76689d6b in msvcrt!free () from C:\\Windows\\system32\\msvcrt.dl|

#3912 0x02360000 in ?7? ()

#3913 0x00000000 in ?7? ()

Very similar to http://trac.osgeo.org/grass/ticket/537

| suspect these are the same memory management problems we're facing on GRASS, with MSVC built libraries...

History

#1 - 2009-03-23 01:11 PM - Giovanni Allegri

| forgot an important thing: the crash happens whenever db.exe is invoked

#2 - 2009-03-27 04:53 AM - Giovanni Allegri
http://trac.osgeo.org/grass/ticket/537

Sorry, | meant dbf.exe, obviously :)

#3 - 2009-07-13 05:17 AM - Giovanni Manghi

wow, it works!?

| just tested the osgeodw (qgis 1.2) on a fresh install of Vista and seems to me that works finally.

Confirmed?

#4 - 2009-07-17 06:14 AM - Giovanni Manghi

- Resolution set to fixed
- Status changed from Open to Closed

| tested it again on a different installation of Vista (at least with version 1.2 from osgweo4w) and seems to works fine. | close this ticket, but please reopen if

necessary.

#5 - 2009-07-19 01:23 AM - Giovanni Manghi

| tested qgis/osgeo4w also windows 7 and seems to work fine: not tested all the GRASS modules, but the ones | tested worked fine.
